Chartquery

Label Convert

POST
/v1/label/convert

Convert printer commands from one language to another. POST source, from, and to. from is the source language (tsc, zpl, epl, …). to is the target (tsc, zpl, escpos, …).

Credit cost: 5 credits per call

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/label/convert" \  -H "Content-Type: application/json" \  -d '{    "source": "string",    "from": "tsc",    "to": "tsc"  }'
{  "to": "zpl",  "from": "tsc",  "output": "^XA\n^PW320\n^LL240\n^FO10,10^A0N,20,20^FDHello World^FS\n^PQ1\n^XZ",  "warnings": [],  "width_dots": 320,  "height_dots": 240,  "elements_count": 1,  "output_encoding": "utf-8"}
{  "error": "Bad Request"}
{  "error": "Internal Error"}